Issue 128353 - AOO Writer, Find & Replace, Format: dialog's title - space is needed?
Summary: AOO Writer, Find & Replace, Format: dialog's title - space is needed?
Status: RESOLVED FIXED
Alias: None
Product: Writer
Classification: Application
Component: ui (show other issues)
Version: 4.1.7
Hardware: PC All
: P5 (lowest) Trivial (vote)
Target Milestone: 4.1.8
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-31 15:39 UTC by Czesław Wolański
Modified: 2020-09-19 01:12 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
Screenshots illustrating this issue (798.38 KB, image/jpeg)
2020-03-31 15:39 UTC, Czesław Wolański
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description Czesław Wolański 2020-03-31 15:39:36 UTC
Created attachment 86920 [details]
Screenshots illustrating this issue

Steps to demonstrate:

1. Start AOO Writer
2. Display Search & Replace dialog
   (choose Control+F or Edit > Find & Replace)
   Cursor shall be in "Search for" field.
3. Press "More Options" button
4. Press "Format" button.
   Dialog "Text Format(Search)" appears.

Notice dialog's title. It reads "Text Format(Search)" - no space before "(".
Relevant AOO Help entry says "Text Format (Search)" - space before "(".

Analogous effect is observable if in point 2. above you place cursor
in "Replace with" field and take steps 3.-4. Dialog's title reads then
"Text Format(Replace)" Relevant AOO Help entry says: "Text Format (Replace)"

So unless "there is a method in this madness", space shall be added to both strings.

In attached file I placed due screenshots.
Comment 1 Matthias Seidel 2020-04-04 12:54:05 UTC
Confirmed on with German AOO 4.1.7 on Ubuntu.

Fixes will be made in source code and (after we generated new templates) become visible in Pootle.
Comment 2 Matthias Seidel 2020-04-04 13:03:18 UTC
Committed to trunk (Master) with:

https://github.com/apache/openoffice/commit/7257d2a7ed5e882fc1d61eaa70fe929bd9ef0c7a

And cherry-picked for AOO42X.
Comment 3 Matthias Seidel 2020-09-19 01:12:38 UTC
Committed to AOO418 with:

https://github.com/apache/openoffice/commit/b38e0b5488caf3c70f99e627b627a500e06f4b71